Package be.fgov.ehealth.rn.personservice.core.v1

# Class SearchPersonPhoneticallyCriteriaType

java.lang.Object
be.fgov.ehealth.rn.personservice.core.v1.SearchPersonPhoneticallyCriteriaType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SearchPersonPhoneticallyCriteriaType extends Object implements Serializable
Type defining the structure of the criteria for the request

Java class for SearchPersonPhoneticallyCriteriaType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchPersonPhoneticallyCriteriaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PhoneticName"/>
             <element name="Birth" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PhoneticBirth"/>
             <element name="Gender" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PhoneticGender" minOccurs="0"/>
             <element name="Address" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}PhoneticAddress" minOccurs="0"/>
             <element name="maximumResultCount" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPersonPhoneticallyCriteriaType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhoneticAddress`
  `getAddress()`
  Gets the value of the address property.
  `PhoneticBirth`
  `getBirth()`
  Gets the value of the birth property.
  `PhoneticGender`
  `getGender()`
  Gets the value of the gender property.
  `Integer`
  `getMaximumResultCount()`
  Gets the value of the maximumResultCount property.
  `PhoneticName`
  `getName()`
  Gets the value of the name property.
  `void`
  `setAddress(PhoneticAddress value)`
  Sets the value of the address property.
  `void`
  `setBirth(PhoneticBirth value)`
  Sets the value of the birth property.
  `void`
  `setGender(PhoneticGender value)`
  Sets the value of the gender property.
  `void`
  `setMaximumResultCount(Integer value)`
  Sets the value of the maximumResultCount property.
  `void`
  `setName(PhoneticName value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchPersonPhoneticallyCriteriaType

    public SearchPersonPhoneticallyCriteriaType()

- ## Method Details

  - ### getName

    public PhoneticName getName()
    Gets the value of the name property.
    Returns:
      possible object is `PhoneticName`

  - ### setName

    public void setName(PhoneticName value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `PhoneticName`

  - ### getBirth

    public PhoneticBirth getBirth()
    Gets the value of the birth property.
    Returns:
      possible object is `PhoneticBirth`

  - ### setBirth

    public void setBirth(PhoneticBirth value)
    Sets the value of the birth property.
    Parameters:
      `value` - allowed object is `PhoneticBirth`

  - ### getGender

    public PhoneticGender getGender()
    Gets the value of the gender property.
    Returns:
      possible object is `PhoneticGender`

  - ### setGender

    public void setGender(PhoneticGender value)
    Sets the value of the gender property.
    Parameters:
      `value` - allowed object is `PhoneticGender`

  - ### getAddress

    public PhoneticAddress getAddress()
    Gets the value of the address property.
    Returns:
      possible object is `PhoneticAddress`

  - ### setAddress

    public void setAddress(PhoneticAddress value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `PhoneticAddress`

  - ### getMaximumResultCount

    public Integer getMaximumResultCount()
    Gets the value of the maximumResultCount property.
    Returns:
      possible object is `Integer`

  - ### setMaximumResultCount

    public void setMaximumResultCount(Integer value)
    Sets the value of the maximumResultCount property.
    Parameters:
      `value` - allowed object is `Integer`